/* #region RESET */
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  color-scheme: dark light;
}

body {
  min-height: 100vh;
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
  font-family: Arial, Helvetica, sans-serif;
}

img, picture, svg, video {
  display: block;
  max-width: 100%;
}

input, button, textarea, select {
  font: inherit;
}

p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}
/* #endregion */

.header{
  background-color: lightgrey;
  border: 0.3px solid grey;
  padding: 20px 0;
  width: 100%;
  max-width: 2400px;
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 15px;
}

a{
  text-decoration: none;
}

.header a:first-child{
  background-color: rgba(145, 143, 143, 0.687);
  color: #000;
  padding: 3px 30px;
  border: 1px solid black;
  border-radius: 5px;
}

.header a:nth-child(2){
  background-color: #fff;
  color: #000;
  padding: 3px 30px;
  border: 1px solid black;
  border-radius: 5px;
}

.heading{
  padding: 32px 0 10px 15px;
  font-size: 0.9rem;
}

.all-projects{
  display: flex;
  justify-content: center;
  flex-direction: column;
  width: 100%;
  padding: 0 15px;
  row-gap: 10px;
}

.all-projects a{
  background-color: white;
  color: black;
  padding: 5px 20px;
  border-radius: 5px;
}

/* YT */

.container-yt{
  width: 300px;
  height: 400px;
  margin: auto;
}

.container-yt img{
  width: 100%;
  height: 100%;
  object-fit: contain;
}